QGIS Application - Bug report #15247
'Snap geometries' plugin creates duplicate nodes
2016-07-09 03:57 AM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23183
Description

When snapping two or more nodes of the input layer to a single node of the reference layer, duplicate nodes are created (see
screencast).

Associated revisions

Revision 113c21e8 - 2017-12-03 06:10 AM - Nyall Dawson

[geometry snapper] Don't create invalid geometries with duplicate nodes

Fixes #15247

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2017-12-04 11:47 PM - Nyall Dawson

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|113c21e8bfdd3a58086bf6455d41669c0281d9aa.

#4 - 2018-02-22 11:50 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

snap_geometries_duplicate_nodes.mp4 1.76 MB 2016-07-09
